PUT /api/saved_objects/_bulk_update

Spaces method and path for this operation:

put /s/{space_id}/api/saved_objects/_bulk_update

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Updates multiple Kibana saved objects in a single request.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • attributes object Required
  • id string Required
  • namespace string

    Minimum length is 1.

  • references array[object]

    Not more than 1000 elements.

    Hide references attributes Show references attributes object
    • id string Required
    • name string Required
    • type string Required
  • type string Required
  • version string

Responses

  • 200 application/json

    A bulk update response.

  • 400 application/json

    A bad request.

PUT /api/saved_objects/_bulk_update
curl \
  -X PUT "${KIBANA_URL}/api/saved_objects/_bulk_update" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '[{"type":"dashboard","id":"example-dashboard-1","attributes":{"title":"Updated dashboard title"},"references":[]},{"type":"dashboard","id":"does-not-exist","attributes":{"title":"Updated dashboard title"}}]'
PUT kbn://api/saved_objects/_bulk_update
[{"type":"dashboard","id":"example-dashboard-1","attributes":{"title":"Updated dashboard title"},"references":[]},{"type":"dashboard","id":"does-not-exist","attributes":{"title":"Updated dashboard title"}}]
Request example
[
  {
    "attributes": {
      "title": "Updated dashboard title"
    },
    "id": "example-dashboard-1",
    "references": [],
    "type": "dashboard"
  },
  {
    "attributes": {
      "title": "Updated dashboard title"
    },
    "id": "does-not-exist",
    "type": "dashboard"
  }
]
Response examples (200)
{
  "saved_objects": [
    {
      "attributes": {
        "title": "Updated dashboard title"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzIsMV0="
    },
    {
      "error": {
        "error": "Not Found",
        "message": "Saved object [dashboard/does-not-exist] not found",
        "statusCode": 404
      },
      "id": "does-not-exist",
      "type": "dashboard"
    }
  ]
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}